%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% deufiz.cls                                                        %%
%% Latex deufiz.cls dosyasi, Dokuz Eylul Universitesi                %%  
%% Fen Fakultesi Fizik Bolumu lisans bitirme projesi        %%
%% iin format class dosyasi                                         %%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{deufiz}[28/02/2012 version 1.0]

\typeout{}
\typeout{+---------------------------------------------------------}
\typeout{| Thesis Class (deufiz.cls)       08/03/2013              }
\typeout{| Dokuz Eylul Universitesi Fen Fakultesi         }
\typeout{| Fizik Bolumu icin Lisans Bitirme Projesi                }
\typeout{+---------------------------------------------------------}
\typeout{}


%% Bazi secimler burada tanimlanmamis, bunun yerine
%% \PassOptionToClass komutuile report.cls den alinmistir

\DeclareOption{fleqn}{ \PassOptionsToClass{fleqn}{report} }
\DeclareOption{leqno}{ \PassOptionsToClass{leqno}{report} }
\DeclareOption{openbib}{ \PassOptionsToClass{openbib}{report} }
\DeclareOption{draft}{ \PassOptionsToClass{draft}{report} }
\DeclareOption{final}{ \PassOptionsToClass{final}{report} }
\DeclareOption{openright}{ \PassOptionsToClass{openright}{report} }
\DeclareOption{openany}{ \PassOptionsToClass{openany}{report} }
\DeclareOption{10pt}{ \PassOptionsToClass{10pt}{report} }
\DeclareOption{11pt}{ \PassOptionsToClass{11pt}{report} }
\DeclareOption{12pt}{ \PassOptionsToClass{12pt}{report} }


%% report.cls de olan bazi secimler burada tanimlandigindan ya da
%% burada kullanilamaycagindan bu secimler gecersiz kiliniyor

\DeclareOption{titlepage}{\ClassWarning{deufiz}{Baslik sayfasi zaten olusturuldu. Secim gormezden gelindi.}}
\DeclareOption{notitlepage}{\ClassWarning{deufiz}{'notitlepage' secimi deufiz icin mevcut degil.}}
\DeclareOption{twoside}{\ClassWarning{deufiz}{'twoside' secimi deufiz icin mevcut degil.}}
\DeclareOption{twocolumn}{\ClassWarning{deufiz}{'twocolumn' secimi deufiz icin mevcut degil.}}
\DeclareOption{landscape}{\ClassWarning{deufiz}{'landscape' secimi deufiz icin mevcut degil.}}
\DeclareOption{legalpaper}{\ClassWarning{deufiz}{'legalpaper' secimi deufiz icin mevcut degil.}}
\DeclareOption{a4paper}{\ClassWarning{deufiz}{'a4paper' secimi deufiz icin mevcut degil.}}
\DeclareOption{a5paper}{\ClassWarning{deufiz}{'a5paper' secimi deufiz icin mevcut degil.}}
\DeclareOption{executivepaper}{\ClassWarning{deufiz}{'executivepaper' secimi deufiz icin mevcut degil.}}
\DeclareOption{b5paper}{\ClassWarning{deufiz}{'b5paper' secimi deufiz icin mevcut degil.}}
\DeclareOption{letterpaper}{\ClassWarning{deufiz}{'letterpaper' secimi deufiz icin gereksiz. Secim gormezden gelindi.}}
\DeclareOption{onecolumn}{\ClassWarning{deufiz}{'onecolumn' secimi deufiz icin gereksiz. Secim gormezden gelindi.}}
\DeclareOption{oneside}{\ClassWarning{deufiz}{'oneside' secimi deufiz icin gereksiz. Secim gormezden gelindi.}}

% ALISILMIS SECIMLER

\newif\if@AllHeadings
\newif\if@NumberStdHeadings
\newif\if@PerChptrNumbering
\newif\if@emphisbold
\newif\if@boldhead
\newif\if@fixedHeadSz
\newif\if@headSizeTwelvePt
\newif\if@ChapterDefault
\newif\if@SectionDefault
\newif\if@SubSectionDefault
\newif\if@OtherHeadingDefault
\newif\if@centerChapter
\newif\if@centerSection
\newif\if@inlineSubSubSection
\newif\if@numberSubSubSection
\newif\if@chapterCaps
\@AllHeadingsfalse
\@NumberStdHeadingstrue
\@PerChptrNumberingtrue
\@emphisboldtrue
\@boldheadtrue
\@fixedHeadSzfalse
%\@centerChapterfalse
\@centerChaptertrue
\@centerSectionfalse
\@inlineSubSubSectionfalse
\@numberSubSubSectiontrue
\@chapterCapsfalse
%\@headSizeTwelvePttrue
\@headSizeTwelvePtfalse
\DeclareOption{consecutivenumbering}{ \@PerChptrNumberingfalse }
\DeclareOption{inlineh4}{ \@inlineSubSubSectiontrue }
\DeclareOption{nonumh4}{ \@numberSubSubSectionfalse }
\DeclareOption{centerh1}{ \@centerSectiontrue }
\DeclareOption{chapleft}{ \@centerSectiontrue }
\DeclareOption{chapup}{ \@chapterCapstrue }
\DeclareOption{emph2underline}{ \@emphisboldfalse }
\DeclareOption{plainhead}{ \@boldheadfalse }
\DeclareOption{fixedheadsize}{ \@fixedHeadSztrue }
\DeclareOption{varheadsize}{\@headSizeTwelvePtfalse}% Sakli secim. Kullanma !
\DeclareOption{numberchapteronly}{
    \@PerChptrNumberingfalse\@NumberStdHeadingsfalse\@AllHeadingsfalse
    \@centerChaptertrue\@centerSectiontrue
    \@inlineSubSubSectiontrue\@numberSubSubSectionfalse }
\DeclareOption{allheadings}{
    \@PerChptrNumberingtrue\@NumberStdHeadingstrue\@AllHeadingstrue
    \@centerChaptertrue\@centerSectionfalse
    \@inlineSubSubSectionfalse\@numberSubSubSectiontrue}
\DeclareOption{typewriterstyle}{ \@emphisboldfalse
    \@PerChptrNumberingfalse\@NumberStdHeadingsfalse\@AllHeadingsfalse
    \@centerChaptertrue\@centerSectiontrue\@chapterCapstrue
    \@inlineSubSubSectiontrue\@numberSubSubSectionfalse
    \@boldheadfalse\@fixedHeadSztrue}
\DeclareOption{modernstyle}{ \@emphisboldtrue
    \@PerChptrNumberingtrue\@NumberStdHeadingstrue\@AllHeadingsfalse
    \@centerChaptertrue\@centerSectionfalse\@chapterCapsfalse
    \@inlineSubSubSectiontrue\@numberSubSubSectionfalse
    \@boldheadtrue\@fixedHeadSzfalse}
% "defaultstyle" and "deustyle" should be the same
\DeclareOption{defaultstyle}{ \@emphisboldtrue
    \@PerChptrNumberingtrue\@NumberStdHeadingstrue\@AllHeadingsfalse
    \@centerChapterfalse\@centerSectionfalse\@chapterCapsfalse
    \@inlineSubSubSectionfalse\@numberSubSubSectionfalse
    \@boldheadtrue\@fixedHeadSzfalse}
\DeclareOption{deustyle}{ \@emphisboldtrue
    \@PerChptrNumberingtrue\@NumberStdHeadingstrue\@AllHeadingsfalse
    \@centerChapterfalse\@centerSectionfalse\@chapterCapsfalse
    \@inlineSubSubSectionfalse\@numberSubSubSectionfalse
    \@boldheadtrue\@fixedHeadSzfalse}


%% Simdi belirli secimlerle report.cls yukleniyor. Belirtildiginde report.cls deki secimlerle
%% (options) calisir. Son olarakda verilen buyuklukte font secimi yuklenir.

\ProcessOptions
\LoadClass[letterpaper,oneside,onecolumn]{report}[1996/10/31]

%% Gerekli diger LaTeX2e paketleri : bilgisayarda bu paketler
%% yoksa .tex dosyasinin bulundugu dzine yuklenmeli !



\RequirePackage{indentfirst}        % indentfirst.sty, 1995/11/23
\RequirePackage{ifthen}         % ifthen.sty, 1996/08/02
\RequirePackage[ULforem,normalbf]{ulem} % ulem.sty, 1995/12/17


%% OZEL IC KOMUTLAR. Daha sonraki donguler icin gerekli.


%% \doublespacingplease , cift bosluk (Double space) secimine izin verir 

    \newif\if@itsdouble
    \@itsdoublefalse

    \newcommand*{\doublespacingplease}{
        \typeout{Double spacing chosen}
        \@itsdoubletrue
    }


%% Deafault argumanlar icin komut yaratir.

\newcommand*{\th@DefArg}{aWfdRvV11f66GL00K5}

%% Simdi default argumanlari kontrol etmek icin komut yaratiliyor. [birinci arguman] komutunu
%% cagiriyor. Kisim baslik komutlari icin kullaniliyor.


\newcommand{\th@ExecChkOptArg}[3]{
\ifthenelse{\equal{\th@DefArg}{#2}}{
    #1{#3}
    }{
    #1[#2]{#3}}
}


%% Baslik stillerini kontrol ediyor. Buyukluk (size) degistirilebilir.

\if@fixedHeadSz
    \newcommand*{\th@ChSz}{\normalsize}
    \newcommand*{\th@ScSz}{\normalsize}
\else\if@headSizeTwelvePt
    \newcommand*{\th@ChSz}{\normalsize\fontsize{12}{12}\selectfont}
    \newcommand*{\th@ScSz}{\normalsize\fontsize{12}{12}\selectfont}
\else
    %\newcommand*{\th@ChSz}{\normalsize\LARGE}
    %\newcommand*{\th@ScSz}{\normalsize\Large}
    \newcommand*{\th@ChSz}{\LARGE}
    \newcommand*{\th@ScSz}{\Large}
\fi\fi

\if@boldhead
    \newcommand*{\th@HdFnt}{\normalfont\bfseries}
\else
    \newcommand*{\th@HdFnt}{\normalfont}
\fi

%% Flag tarafindan kontrol edilen stil komutlari

\newif\if@thInHeading
\@thInHeadingfalse
\newcommand*{\th@ChapterStyle}{\if@thInHeading\th@HdFnt\th@ChSz\fi}
\newcommand*{\th@SectionStyle}{\if@thInHeading\th@HdFnt\th@ScSz\fi}
\newcommand*{\th@SubSectionStyle}{\if@thInHeading\large\th@HdFnt\fi}
\newcommand*{\th@OtherSecHeadStyles}{\if@thInHeading\normalsize\th@HdFnt\fi}

%% BOLDFACE ya da UNDERLINING kullanilarak emphasis komutlarinin yeniden 
%% tanimlanmasi (baslangic flag larina gore).



\newcommand*{\EmphReset}{
    \if@emphisbold
        \let\em\bfseries
        \let\emph\textbf
    \else
        \ULforem
    \fi
}


%% Bolum (chapter) baslik etiketini (label) istenen forma sokuyor. Bu tanimin 
%% bolum komutlarinin tanimindan evvel yapilmasi gerekir.


\newcommand*{\th@DoChapCenter}{\if@centerChapter\centering\fi}
\newcommand*{\th@ChapHead}[1]{
    \protect\th@ChapterStyle
    \protect\th@DoChapCenter #1}


%% DOUBLE SPACING (DEFAULT) VE DIGER BOSLUKLARIN TANIMLARI

\def\setlinespacing{
        \if@itsdouble
        \doublespacing
        \else
        \oneandonehalfspacing
        \fi
}
\def\setspace@size{\ifx\@currsize\normalsize\@normalsize\else\@currsize\fi}
\def\doublespacing{ \ifcase \@ptsize \relax
      \def \baselinestretch {2.004}%    10pt
  \or \def \baselinestretch {1.771}%    11pt
  \or \def \baselinestretch {1.660}%    12pt
  \fi \setspace@size}
\def\oneandonehalfspacing{ \ifcase \@ptsize \relax
      \def \baselinestretch {1.503}%    10pt
  \or \def \baselinestretch {1.328}%    11pt
  \or \def \baselinestretch {1.245}%    12pt
  \fi \setspace@size}
\def\singlespacing{\def \baselinestretch {1} \setspace@size \vskip \baselineskip}
\def\setstretch#1{\renewcommand{\baselinestretch}{#1}}
\def\@setsize#1#2#3#4{\@nomath#1
  \let\@currsize#1 \baselineskip #2
  \baselineskip \baselinestretch\baselineskip
  \parskip \baselinestretch\parskip
  \setbox\strutbox \hbox{ \vrule height.7\baselineskip depth.3\baselineskip
  width\z@} \skip\footins \baselinestretch\skip\footins
  \normalbaselineskip\baselineskip#3#4}

%% float lar ve dipnotlar tek bosluklu olmali

\let\latex@xfloat=\@xfloat
\def\@xfloat #1[#2]{\latex@xfloat #1[#2]
\def\baselinestretch{1}\@normalsize \normalsize}
\long\def\@footnotetext#1{
  \insert\footins{
    \def\baselinestretch {1}
    \reset@font\footnotesize
    \interlinepenalty\interfootnotelinepenalty
    \splittopskip\footnotesep
    \splitmaxdepth \dp\strutbox \floatingpenalty \@MM
    \hsize\columnwidth \@parboxrestore
    \protected@edef\@currentlabel{
      \csname p@footnote\endcsname\@thefnmark}
    \color@begingroup \@makefntext{
        \rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}
    \color@endgroup}}
\long\def\@mpfootnotetext#1{
  \global\setbox\@mpfootins\vbox{
    \unvbox \@mpfootins
    \def\baselinestretch {1}
    \reset@font\footnotesize
    \hsize\columnwidth \@parboxrestore
    \protected@edef\@currentlabel{
      \csname p@mpfootnote\endcsname\@thefnmark}
    \color@begingroup \@makefntext{
       \rule\z@\footnotesep\ignorespaces#1\@finalstrut\strutbox}
   \color@endgroup}}

%% tek / cift bosluk

\def\singlespace{ \vskip \baselineskip \def\baselinestretch {1}
    \setspace@size \vskip -\baselineskip }
\def\endsinglespace{\par}
\def\spacing#1{ \par \begingroup \def\baselinestretch {#1} \setspace@size }
\def\endspacing{ \par \vskip \parskip \vskip \baselineskip
  \endgroup \vskip -\parskip \vskip -\baselineskip }
\def\doublespace{ \ifcase \@ptsize \relax
      \spacing{2.004}%  10pt
  \or \spacing{1.771}%  11pt
  \or \spacing{1.660}%  12pt
  \fi }
\let\enddoublespace=\endspacing
\def\oneandonehalfspace{ \ifcase \@ptsize \relax
      \spacing{1.503}%  10pt
  \or \spacing{1.328}%  11pt
  \or \spacing{1.245}%  12pt
  \fi }


%% TUM DOKUMANDA GECERLI OLACAK OZELLIKLERIN TANIMI (sayfa numaralari, sagdan soldan bosluklar...)


\AtBeginDocument{
%        \setlength{\topmargin}{-0.30in}
        \setlength{\topmargin}{-1.3cm} % bu deer -2.8 idi
%        \setlength{\headheight}{0.20in}
        \setlength{\headheight}{0.51cm}
%        \setlength{\headsep}{0.0in}
        \setlength{\headsep}{0.0cm}
%        \setlength{\topskip}{0.40in}    % sayfa numarasi altindaki ilk satir
        \setlength{\topskip}{1.0cm}    % sayfa numarasi altindaki ilk satir
%        \setlength{\textheight}{9.10in} % 9"-(topmargin+headsep+headheight)
        \setlength{\textheight}{25.3cm}
%
        \setlength{\footskip}{0pt}
%        \setlength{\oddsidemargin}{0.75in} % 1.90 cm
%        \setlength{\evensidemargin}{0.75in} % 1.90cm
        \setlength{\oddsidemargin}{1.2cm}
        \setlength{\evensidemargin}{1.2cm}
        \setlength{\parindent}{30pt}    %  0.3" ve 0.5" arasi bir sey
%        \setlength{\textwidth}{5.75in} % 14.6cm
        \setlength{\textwidth}{14.4cm}
%
    \setlength{\leftmargini}{3.5em}
    \setlength{\leftmarginii}{2.2em}
    \setlength{\leftmarginiii}{2.2em}
    \setlength{\leftmarginiv}{2.2em}
    \setlength{\leftmarginv}{2.2em}
    \setlength{\leftmarginvi}{2.2em}
    \setlength{\leftmargin}{\leftmargini}
    \setlength{\labelsep}{.5em}
    \setlength{\labelwidth}{1.5em}
    \pagenumbering{arabic}
    \pagestyle{myheadings}
    \markright{}
    \onecolumn
    \raggedbottom
    \normalsize
    \normalfont
    \EmphReset  % bold ya da underlined?
    \setlinespacing % dipnotlar ve floatlar hala tek bosluklu
    \setcounter{tocdepth}{4}
    \setcounter{secnumdepth}{\value{th@SecNum}}

%% bibliography komutunun yeniden tanimi, herhangi bir durumda baska bir 
%% *.sty nin kullanimi durumunda (ki bu bibliography yi yeniden tanimlar)

    \let\th@OldBib\thebibliography
    \let\endth@OldBib\endthebibliography
    \renewenvironment*{thebibliography}[1]{
        \begin{th@OldBib}{#1}
        \ULforem%   \em yi alti cizgili ye (underline) set ediyor.
        \begin{singlespace}
        \addcontentsline{toc}{part}{\bibnameToC}
    }{
        \end{singlespace}
        \EmphReset%  \em yi kullanici tarafindan tanimlanan default a geri set ediyor.
        \end{th@OldBib}
    }


}



%% ILAVE SEYLER


\setcounter{tocdepth}{4}
\newcommand*{\@normalsize}{\normalsize}
\setlinespacing


%% Sekiller ve tablolar icin
\setcounter{topnumber}{1}
\renewcommand*{\topfraction}{.4}
\setcounter{totalnumber}{2}
\renewcommand*{\textfraction}{.5}
\renewcommand*{\floatpagefraction}{.3}
\setcounter{dbltopnumber}{1}
\renewcommand*{\dbltopfraction}{.4}
\renewcommand*{\dblfloatpagefraction}{.3}
\setlength{\abovecaptionskip}{10pt}
\setlength{\belowcaptionskip}{10pt}


%% Liste, etiket, numaralama yaratan bazi format komutlari yeniden tanimlaniyor



%% table of contents sayfasi icin basliklar 

\renewcommand*{\figurename}{\c{S}ekil}
\renewcommand*{\tablename}{Tablo}
\newcommand*{\figurenameToC}{\normalsize\th@HdFnt\figurename\normalfont}
\newcommand*{\tablenameToC}{\normalsize\th@HdFnt\tablename\normalfont}
\newcommand*{\publicationsbibname}{\th@ChapHead{Yay\i nlar}}
\newcommand*{\curriculumvitaebibname}{\th@ChapHead{\"{O}zge\c{c}mi\c{s}}}

\if@chapterCaps
    \renewcommand*{\contentsname}{\th@ChapHead{\.{I}\c{C}\.{I}NDEK\.{I}LER}}
    \renewcommand*{\listfigurename}{\th@ChapHead{\c{S}EK\.{I}LER D\.{I}Z\.{I}N\.{I}}}
    \renewcommand*{\listtablename}{\th@ChapHead{TABLOLAR D\.{I}Z\.{I}N\.{I}}}
    \renewcommand*{\appendixname}{\th@ChapHead{EK}}{\relax}
    \renewcommand*{\bibname}{\th@ChapHead{KAYNAKLAR}}
    \renewcommand*{\chaptername}{\th@ChapHead{B\"{O}L\"{U}M}}
    \newcommand*{\chapternameToC}{\normalsize\th@HdFnt B\"{O}L\"{U}M\normalfont}
    \newcommand*{\bibnameToC}{\normalsize\th@HdFnt KAYNAKLAR\normalfont}
    \newcommand*{\appendixnameToC}{\normalsize\th@HdFnt EK\normalfont}{\relax}
    \newcommand*{\publicationsbibnameToC}{\normalsize\th@HdFnt YAYINLAR\normalfont}
    \newcommand*{\curriculumvitaebibnameToC}{\normalsize\th@HdFnt \"{O}ZGE\c{C}M\.{I}\c{S}\normalfont}
\else
    \renewcommand*{\contentsname}{\th@ChapHead{\.{I}\c{c}indekiler}}
    \renewcommand*{\listfigurename}{\th@ChapHead{\c{S}ekiller Dizini}}
    \renewcommand*{\listtablename}{\th@ChapHead{Tablolar Dizini}}
    \renewcommand*{\appendixname}{\th@ChapHead{Ek}}{\relax}
    \renewcommand*{\bibname}{\th@ChapHead{Kaynaklar}}
    \renewcommand*{\chaptername}{\th@ChapHead{B\"{o}l\"{u}m}}
    \newcommand*{\chapternameToC}{\normalsize\th@HdFnt B\"{o}l\"{u}m\normalfont}
    \newcommand*{\bibnameToC}{\normalsize\th@HdFnt Kaynaklar\normalfont}
    \newcommand*{\appendixnameToC}{\normalsize\th@HdFnt Ek\normalfont}{\relax}
    \newcommand*{\publicationsbibnameToC}{\normalsize\th@HdFnt Yay\i nlar\normalfont}
    \newcommand*{\curriculumvitaebibnameToC}{\normalsize\th@HdFnt \"{O}zge\c{c}mi\c{s}\normalfont}
\fi


%% Uygun etiketlerin (label) icindekiler (Toc), sekiller dizini (LoF), tablolar dizini (LoT) a eklenmesi

\addtocontents{lof}{\protect\contentsline {part}
    {\protect\figurenameToC}{\protect\relax}}
\addtocontents{lot}{\protect\contentsline {part}
    {\protect\tablenameToC}{\protect\relax}}
\addtocontents{toc}{\protect\contentsline {part}
    {\protect\chapternameToC}{\protect\relax}}


%% NUMARALAMA STILLERI, DEFAULT DEGERLERI

%%LaTeX in kullnadigi \theDef* formundakilerle 
%% karisiklik yaratmamasi icin \th@Def* formundaki makrolari kullaniyor


\newcounter{th@SecNum}
\setcounter{th@SecNum}{4}
\if@NumberStdHeadings
    \@centerSectionfalse% Buna zorlar
    \newcommand*{\th@DefTheChapter}{\arabic{chapter}}
    \newcommand*{\th@DefTheSection}{\th@DefTheChapter.\arabic{section}}
    \newcommand*{\th@DefTheSubsection}{\th@DefTheSection.\arabic{subsection}}
\else
    \@AllHeadingsfalse% emin olmak icin
    \newcommand*{\th@DefTheChapter}{\Roman{chapter}}
    \newcommand*{\th@DefTheSection}{\relax}
    \newcommand*{\th@DefTheSubsection}{\relax}
\fi

\if@AllHeadings
    \@inlineSubSubSectionfalse% buna zorlar
    \@numberSubSubSectiontrue% ...ve buna.
    \newcommand*{\th@DefTheSubsubsection}{\th@DefTheSubsection.\arabic{subsubsection}}
    \newcommand*{\th@DefTheParagraph}{\th@DefTheSubsubsection.\arabic{paragraph}}
    \newcommand*{\th@DefTheSubparagraph}{\th@DefTheParagraph.\arabic{subparagraph}}
\else
    \newcommand*{\th@DefTheParagraph}{\relax}
    \newcommand*{\th@DefTheSubparagraph}{\relax}
    \if@numberSubSubSection
        \newcommand*{\th@DefTheSubsubsection}
            {\th@DefTheSubsection.\arabic{subsubsection}}
    \else
        \newcommand*{\th@DefTheSubsubsection}{\relax}
    \fi
\fi
\renewcommand*{\thechapter}{\th@DefTheChapter}
\renewcommand*{\thesection}{\th@DefTheSection}
\renewcommand*{\thesubsection}{\th@DefTheSubsection}
\renewcommand*{\thesubsubsection}{\th@DefTheSubsubsection}
\renewcommand*{\theparagraph}{\th@DefTheParagraph}
\renewcommand*{\thesubparagraph}{\th@DefTheSubparagraph}

%% Sekil, tablo ve denklem numaralanmasi

\if@PerChptrNumbering\else
    \newcounter{th@SaveFigure}
    \newcounter{th@SaveTable}
    \newcounter{th@SaveEquation}
    \renewcommand*{\thefigure}{\arabic{figure}}
    \renewcommand*{\thetable}{\arabic{table}}
    \renewcommand*{\theequation}{\arabic{equation}}
\fi

%% Numaralanmis (enumerated) liste etiketleri

\renewcommand*{\theenumi}{\arabic{enumi}}
\renewcommand*{\theenumii}{\alph{enumii}}
\renewcommand*{\theenumiii}{\roman{enumiii}}
\renewcommand*{\theenumiv}{\alph{enumiv}}
\renewcommand*{\labelenumi}{(\theenumi)}
\renewcommand*{\labelenumii}{(\theenumii)}
\renewcommand*{\labelenumiii}{(\theenumiii)}
\renewcommand*{\labelenumiv}{(\theenumiii.\theenumiv)}

%% Numaralanmamis (itemized) liste etiketleri


\renewcommand*{\labelitemi}{\textbullet}
\renewcommand*{\labelitemii}{\textasteriskcentered}
\renewcommand*{\labelitemiii}{\normalfont \bfseries \textendash}
\renewcommand*{\labelitemiv}{\textperiodcentered}

%% Listeler icin sag ve soldan bosluklar


\setlength{\leftmargini}{3.5em}
\setlength{\leftmarginiii}{2.2em}
\setlength{\leftmarginiv}{2.2em}
\setlength{\leftmarginv}{2.2em}
\setlength{\leftmarginvi}{2.2em}
\setlength{\leftmargin}{\leftmargini}
\setlength{\labelwidth}{1.5em}

%% report.cls de bulunan bazi ortamlarin yeniden tanimlanmasi
%% Burasi biraz karisik; her komut yeniden adlandirilarak degistiriliyor,
%% ve komut eski halini alt kume kabul ederek yeniden tanimlaniyor



%% VERSE, QUOTATION, ve QUOTE tek bosluklu olmali (single-spaced).

\let\th@OldVerse\verse
\let\th@OldQuotation\quotation
\let\th@OldQuote\quote
\let\endth@OldVerse\endverse
\let\endth@OldQuotation\endquotation
\let\endth@OldQuote\endquote





%% ``\begin{singlespace}'' ve ``\end{singlespace}'',  setspace.sty
%% de tanimli



\renewenvironment*{verse}{\begin{th@OldVerse}\begin{singlespace}}
    {\end{singlespace}\end{th@OldVerse}}

\renewenvironment*{quotation}{\begin{th@OldQuotation} \begin{singlespace}}
    {\end{singlespace}\end{th@OldQuotation}}

\renewenvironment*{quote}{\begin{th@OldQuote} \begin{singlespace}}
    {\end{singlespace} \end{th@OldQuote}}


%% Teorem ve aksiyomlar : italik olmayacak. Bunun icin
%% \@namedef ve \@nameuse komutlari kullanilacak (TeXnology)

\let\th@OldNewtheorem\newtheorem
%% \newtheorem{}[]{} formatii denetliyor
\def\newtheorem#1{ \@ifnextchar[{\th@nuthrmOM{#1}}{\th@newtheoremTwo{#1}}%]
}
%%  \newtheorem{}{}[] cagiriyor; sonunda secimli argumanlari denetliyor.
\def\th@newtheoremTwo#1#2{
    \@ifnextchar[{\th@nuthrmO{#1}{#2}}{\th@nuthrm{#1}{#2}}%]
}
%% Secimli arguman yok (standart cagirma)
\def\th@nuthrm#1#2{
    \th@OldNewtheorem{th@#1}{#2}
    \th@correctTheorem{end#1}{#1}{endth@#1}{th@#1}
}
%% Secimli arguman sonda
\def\th@nuthrmO#1#2[#3]{
    \th@OldNewtheorem{th@#1}{#2}[#3]
    \th@correctTheorem{end#1}{#1}{endth@#1}{th@#1}
    }
% Secimli arguman ortada
\def\th@nuthrmOM#1[#2]#3{
    \th@OldNewtheorem{th@#1}[th@#2]{#3}
    \th@correctTheorem{end#1}{#1}{endth@#1}{th@#1}
    }
\def\th@execThrmOpt#1[#2]{
    \@nameuse{#1}[#2] \normalsize\normalfont
}
\newcommand*{\th@correctTheorem}[4]{
    \@namedef{#1}{\@nameuse{#3}}
    \@namedef{#2}{\@ifnextchar[{\th@execThrmOpt{#4}}{ %%}
            \@nameuse{#4} \normalsize\normalfont}
    }
}

%% APPENDIX komutu

\newcounter{th@SectionSave}
\let\th@OldAppCmd\appendix
\newcommand{\ek}{
    \setcounter{th@SectionSave}{\value{section}}
    \th@OldAppCmd
    \if@NumberStdHeadings\else
    \setcounter{section}{\value{th@SectionSave}}
    \fi
    \addtocontents{toc}{\protect\contentsline {part}
        {\protect\appendixnameToC}{\protect\relax}}
    \renewcommand*{\th@DefTheChapter}{\Alph{chapter}}
    }


%% BIBLIOGRAPHY : yeniden tanimlaniyor. '\AtBeginDocument' da gosterildigi
%% gibi, farkli stillerin (.sty ve .bst dosyalari) kullanimini engeller.



%% KISIM (SECTION) BASLIKLARI
%% Bazi yeni sevcimler var


%% Yeni if-s
\newif\if@AlwaysFalse
\@AlwaysFalsefalse
\newif\if@CenterHeading
\@CenterHeadingfalse
\newif\if@UseStarCmd
\@UseStarCmdfalse

%% GENEL VE SETUP KOMUTLARI


%% Baslik yapar
%% Secimli arguman (#1) centering flag dir.Bu arguman varsa ve true ya set edilmisse
%% Baslik centering olur.
%% Ikinci arguman stil komutudur.
%% Ucuncusu heading proper.

\newcommand*{\th@MakeHeading}[2]{
    \protect #1
    \if@CenterHeading\begin{center}\typeout{centered}\fi
    #2
    \if@CenterHeading\end{center}\fi
    }


%% Baslik yapar.
%% Burasi biraz karisik. ToC girdilerinin normal text olmasini istiyoruz. (Ayni
%% zamanda kaynaklar (references) girdilerinin de) Fakat baslik numaralarinin
%% dogru buyukluk ve font ta olmasini da istiyoruz. Bunu elde etmek icin,

%% Argumanlar sirayla : 
%% execute edilecek komut (#1),
%% baslik stil komutu (#2),
%% secimli arguman (#3) (ornegin, \section[foo]{bigfoo} durumunda, #3=="foo" oluyor.),
%% baslik text inin kendisi (#4),
%% simdiki komutun adi (#5) (ornegin, "chapter")
%% Sayi etiketi yaratan ic komut (#6)

%% bu komutta kulllanilan iki onemli flag : 
%% \@UseStarCmd : komutun starred version u ise bunu "true" yap.  
%% \@thInHeading : section heading komutunun icinde 'true' oluyor 
%% komutun sonunda kapatiliyor (turned off) 

\newcommand*{\th@Heading}[6]{
    \@thInHeadingtrue
    %  '\the...' komutunu degistirir.
    \@namedef{the#5}{\protect#2 #6}
    \if@UseStarCmd
        #1*{\th@MakeHeading{\protect#2}{#4}}
    \else
        \ifthenelse{\equal{\th@DefArg}{#3}}{
            #1[\normalsize\normalfont#4]{
                \th@MakeHeading{\protect#2}{#4}}
        }{
            #1[\normalsize\normalfont#3]{
                \th@MakeHeading{\protect#2}{#4}}
        }
    \fi

    \@namedef{the#5}{#6}
    \@thInHeadingfalse
    \@CenterHeadingfalse
    \normalsize\normalfont
}

%% BOLUM (CHAPTER) BASLIKLARI

%% chapter komutu yeniden tanimlanmali. Amac, sekilllerin, tablolarin ve denklemlerin
%% numaralanmasini kontrol etmek.

\let\th@OldChapter\chapter
% \@ifstar{}{} bir LaTeX araci, komuttan sonraki karakteri kontrol eder
%  '*' ise gorup ona gore numara verir ya da vermez.
\renewcommand*{\chapter}{\@ifstar{\th@ChapterS}{\th@Chapter}}

%% ozel ic if-s, chapter lar icin.

\newif\if@THshortChapter
\@THshortChapterfalse

%% Bolum numaralarini arttirmak icin ozel komut tanimi, bu komutla
%% sekil, tablo, denklem vb. nin sayaci -eger gerekirse- sifirlanir.


\newcommand*{\th@PreChCmd}{
    \if@PerChptrNumbering
        \relax
    \else
        \setcounter{th@SaveTable}{\value{table}}
        \setcounter{th@SaveFigure}{\value{figure}}
        \setcounter{th@SaveEquation}{\value{equation}}
    \fi
}

\newcommand*{\th@PostChCmd}{
    \if@THshortChapter
        \typeout{Short Chapter (page numbered)}
        \@THshortChapterfalse
        \thispagestyle{myheadings}
    \else
        %\thispagestyle{empty}
        \thispagestyle{myheadings}
    \fi
    \if@PerChptrNumbering
        \relax
    \else
        \setcounter{table}{\value{th@SaveTable}}
        \setcounter{figure}{\value{th@SaveFigure}}
        \setcounter{equation}{\value{th@SaveEquation}}
    \fi
    \normalsize\normalfont
    \@UseStarCmdfalse
}
\if@chapterCaps
    \newcommand*{\th@Chapter}[2][\th@DefArg]{
        \th@PreChCmd
        \@UseStarCmdfalse
        \if@centerChapter\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
        \th@Heading{\th@OldChapter}{\th@ChapterStyle}{#1}
            {\uppercase\expandafter{#2}}{chapter}{\th@DefTheChapter}
        \th@PostChCmd
    }
    \newcommand*{\th@ChapterS}[1]{
        \th@PreChCmd
        \@UseStarCmdtrue
        \if@centerChapter\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
        \th@Heading{\th@OldChapter}{\th@ChapterStyle}{\th@DefArg}
            {\uppercase\expandafter{#1}}{chapter}{\th@DefTheChapter}
        \th@PostChCmd
    }
\else
    \newcommand*{\th@Chapter}[2][\th@DefArg]{
        \th@PreChCmd
        \@UseStarCmdfalse
        \if@centerChapter\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
        \th@Heading{\th@OldChapter}{\th@ChapterStyle}{#1}
            {#2}{chapter}{\th@DefTheChapter}
        \th@PostChCmd
    }
    \newcommand*{\th@ChapterS}[1]{
        \th@PreChCmd
        \@UseStarCmdtrue
        \if@centerChapter\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
        \th@Heading{\th@OldChapter}{\th@ChapterStyle}{\th@DefArg}
            {#1}{chapter}{\th@DefTheChapter}
        \th@PostChCmd
    }
\fi


%% KISIM BASLIK KOMUTLARI. Icindekiler (ToC) ve kaynaklar (references) bolumlerinin 
%% istedigimiz gibi gorunmesi icin kisim ve alt kisim (subsection)... komutlari
%% Bu is diger basliklar icin de yapilmali yoksa ToC da istedigimiz gibi gorunmez



\let\th@OldSection\section
\renewcommand*{\section}{\@ifstar{\th@SectionS}{\th@Section}}

\newcommand*{\th@Section}[2][\th@DefArg]{
    \@UseStarCmdfalse
    \if@centerSection\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
    \th@Heading{\th@OldSection}{\th@SectionStyle}{#1}{#2}
        {section}{\th@DefTheSection}
    \normalsize\normalfont
}
\newcommand*{\th@SectionS}[1]{
    \@UseStarCmdtrue
    \if@centerSection\@CenterHeadingtrue\else\@CenterHeadingfalse\fi
    \th@Heading{\th@OldSection}{\th@SectionStyle}{\th@DefArg}
        {#1}{section}{\th@DefTheSection}
    \@UseStarCmdfalse
    \normalsize\normalfont
}


%% ALT KISIM (SUBSECTION) BASLIKLARININ KOMUTLARI

\let\th@OldSubSection\subsection
\renewcommand*{\subsection}{
    \@ifstar{\th@SubSectionS}{\th@SubSection}
}
\newcommand*{\th@SubSection}[2][\th@DefArg]{
    \@UseStarCmdfalse
    \@CenterHeadingfalse
    \th@Heading{\th@OldSubSection}{\th@SubSectionStyle}
        {#1}{#2}{subsection}{\th@DefTheSubsection}
    \normalsize\normalfont
}
\newcommand*{\th@SubSectionS}[1]{
    \@UseStarCmdtrue
    \@CenterHeadingfalse
    \th@Heading{\th@OldSubSection}{\th@SubSectionStyle}
        {\th@DefArg}{#1}{subsection}{\th@DefTheSubsection}
    \@UseStarCmdfalse
    \normalsize\normalfont
}


%% ALT ALT KISIM (SUBSUBSECTION) BASLIKLARININ KOMUTLARI. Icindekiler kisminda
%% bunlar gorunmuyor. Numaralanacagi vb. kontrol edilecek


\let\th@OldSubSubSection\subsubsection
\newlength{\th@SubSubSecSpc}
\if@numberSubSubSection
    \renewcommand*{\thesubsubsection}{\th@DefTheSubsubsection}
    \newcommand*{\th@PreSubsubsecCmd}{\@UseStarCmdfalse}
    \setcounter{th@SecNum}{5}
    \setlength{\th@SubSubSecSpc}{0.5em}
\else
    \renewcommand*{\thesubsubsection}{\relax}
    \newcommand*{\th@PreSubsubsecCmd}{\@UseStarCmdtrue}
    \setlength{\th@SubSubSecSpc}{0em}
\fi

\newif\if@shutoffSSSect
\@shutoffSSSectfalse

\if@inlineSubSubSection
\renewcommand*{\subsubsection}[2][\th@DefArg]{
    \refstepcounter{subsubsection}
    \vspace{4\parsep}
    \underline{%
    \@thInHeadingtrue\th@OtherSecHeadStyles%
    \thesubsubsection\hspace{\th@SubSubSecSpc}#2}\hspace{2mm}
    \ignorespaces\normalsize\normalfont
    }
\else
\renewcommand*{\subsubsection}[2][\th@DefArg]{
    \th@PreSubsubsecCmd
    \@CenterHeadingfalse
    \th@Heading{\th@OldSubSubSection}{\th@OtherSecHeadStyles}
        {\th@DefArg}{#2}{subsubsection}{\th@DefTheSubsubsection}
    \@UseStarCmdfalse\normalsize\normalfont
    }
\fi

%% Cok fazla paragraf ya da alt paragrafa ihtiyacimiz yok.


\if@AllHeadings
    \let\th@OldParagraph\paragraph
    \renewcommand*{\paragraph}[2][\th@DefArg]{
        \@UseStarCmdfalse
        \@CenterHeadingfalse
        \th@Heading{\th@OldParagraph}
            {\@thInHeadingtrue\th@OtherSecHeadStyles}
            {\th@DefArg}{\underline{#2}}{paragraph}
            {\hspace*{\parindent}\th@DefTheParagraph}
        \@UseStarCmdfalse
        \@namedef{theparagraph}{\th@DefTheParagraph
            \protect\normalsize\protect\normalfont}
        \normalsize\normalfont
    }
    \let\th@OldSubParagraph\subparagraph
    \renewcommand*{\subparagraph}[2][\th@DefArg]{
        \@UseStarCmdfalse
        \@CenterHeadingfalse
        \th@Heading{\th@OldSubParagraph}
            {\@thInHeadingtrue\th@OtherSecHeadStyles}
            {\th@DefArg}{\underline{#2}}{subparagraph}
            {\th@DefTheSubparagraph}
        \@UseStarCmdfalse
        \@namedef{thesubparagraph}{\th@DefTheSubparagraph
            \protect\normalsize\protect\normalfont}
        \normalsize\normalfont
    }
    \setcounter{th@SecNum}{6}
\else
    \renewcommand*{\paragraph}[2][\th@DefArg]{
        {\normalfont\normalsize\bfseries #2}\hspace*{0.89em}}
    \renewcommand*{\subparagraph}[2][\th@DefArg]{
        {\normalfont\normalsize\bfseries #2}\hspace*{0.89em}}
\fi


%% BU CLASS DOSYASI ICIN YENI KOMUTLAR
%% Mevcut olmayan komutlar

\renewcommand*{\theindex}{\ClassWarning{deufiz}
    {Indexing not available in this class.}}
\renewcommand*{\twocolumn}{\ClassWarning{deufiz}
    {Twocolumn not available in this class.}}
\renewcommand*{\thepart}{\ClassWarning{deufiz}
    {``thepart'' not available in this class.}}
\renewcommand*{\part}{\ClassWarning{deufiz}
    {``thepart'' not available in this class.}}


%% YENI KOMUTLAR
%% Bu komutlarla bolum basladiginda sayfa numaralamasi baslar ...



%% AJB, kullanilmiyor
%%\newcommand*{\forcepageno}{\thispagestyle{myheadings}}
%%\newcommand*{\OnePageChapter}{\forcepageno}

%% ONDEYIS (PROLOGUE) SAYFALARI
%% Komuttaki ilk arguman tarafindan belirtilen ikinci argumani saklar.

\newcommand{\th@StoreIn}[2]{ \gdef#1{#2} }

%% Depolama (storage) degiskenlerinin default degerleri. Hata mesaji verir.
%% Class in bu kismi biraz uzun




\newcommand*{\th@projebaslik}{
    \ClassError{deufiz}{*** projenin basligini girmediniz ***}
    {preamble da \protect\projebaslik{} komutunu kullaniniz. }
}
\newcommand*{\th@fwdname}{
        \ClassError{deufiz}{*** yazar adini girmediniz ***}
        { preamble da \protect\yazar{}{} komutunu kullaniniz \MessageBreak
                 Komuttaki ilk arguman adiniz (varsa ikinci adinizi ile)  \MessageBreak
                ve ikinci arguman soyadinizdir.}
}
\newcommand*{\th@revname}{
        \ClassError{deufiz}{*** yazar adini girmediniz ***}
        {preamble da \protect\yazar{}{} komutunu kullaniniz \MessageBreak
                 Komuttaki ilk arguman adiniz (varsa ikinci adinizi ile)  \MessageBreak
                ve ikinci arguman soyadinizdir.}
}



\newcommand*{\th@projeyoneticisi}{
    \ClassError{deufiz}{*** Proje yoneticisinin unvanini ve adini girmediniz ***}
    {preamble da \protect\projeyoneticisi{} komutunu kullaniniz.}
}




\newcommand*{\th@bolumbaskani}{
    \ClassError{deufiz}{*** Bolum baskaninin unvanini ve adini girmediniz ***}
    {preamble da \protect\bolumbaskani{} komutunu kullaniniz.}
}
\newcommand*{\th@juribir}{
    \ClassError{deufiz}{
        *** Juri uyelerinin unvan ve isimlerini girmediniz  ***}
    {preamble da \protect\juribir{} komutunu kullaniniz.}
}
\newcommand*{\th@juriiki}{
    \ClassError{deufiz}{
        *** Juri uyelerinin unvan ve isimlerini girmediniz ***}
    {preamble da \protect\juribir{} komutunu kullaniniz.}
}
\newcommand*{\th@juriuc}{
    \ClassError{deufiz}{
        *** Juri uyelerinin unvan ve isimlerini girmediniz ***}
    {preamble da \protect\juribir{} komutunu kullaniniz.}
}
\newcommand*{\th@juridort}{none}
\newcommand*{\th@jurirbes}{none}




\newcommand{\th@tarih}{
    \ClassError{deufiz}{*** Projenizin tamamlandigi tarihi (ay ve yil) girmediniz***}
    {preamble da \protect\tarih{} komutunu kullaniniz.}
}



\newcommand{\th@anahtarkelime}{
    \ClassError{deufiz}{*** Projenizin anahtar kelimelerini girmediniz ***}
    {preamble da \protect\anahtarkelime{} komutunu kullaniniz.}
}
\newcommand{\th@sayfasayisi}{
    \ClassError{deufiz}{*** Projenizin sayfa sayisini girmediniz ***}
    {preamble da \protect\sayfasayisi{} komutunu kullaniniz. }
}



\newcommand{\th@ozetStash}{
    \ClassError{deufiz}{*** Projenizin ozetini girmediniz ***}
    {preamble da \protect\ozetpage[]{} komutunu kullaniniz \MessageBreak
          eger ozet bir sayfayi asiyorsa secimli\MessageBreak
        argumana 'uzun' yazin.}
}
\newcommand*{\th@signature}[1]{
                \begin{flushright}
        \normalsize
        \vspace*{8mm}   % works well?
        \vrule width 80mm height 0.2mm\\
        #1 \end{flushright}
}

%% Sinav komitesi (juri) sayfasi
%% Jurilerin isimleri sayfanin sol kisminda imzalari da sag kisminda yer alir.

\newcommand*{\th@committeesignatures}[1]{\vspace{10mm}&#1&~&\line(1,0){95}\\}
\newcommand*{\th@dateline}{
    \vspace*{10mm}
    \begin{flushright}
        Date~{\vrule width 35mm height 0.1mm}
    \end{flushright}
}


\newcommand{\th@OzetPageStyle}{\relax}
\newcommand{\th@dedicationStash}{\relax}
\newcommand{\th@dedicationTitleStash}{\relax}
\newcommand{\th@tesekkurStash}{\relax}
\newcommand{\th@sembolStash}{\relax}
\newif\if@shortLoF
\newif\if@shortLoT
\newif\if@shortToC
\newif\if@makenoLoF
\newif\if@makenoLoT
\newif\if@makeDedication
\newif\if@makeAcknowledgements
\newif\if@makeNomenclature
\newif\if@makePrologue
\@shortLoFfalse
\@shortLoTfalse
\@shortToCfalse
\@makenoLoFfalse
\@makenoLoTfalse
\@makeDedicationfalse
\@makeAcknowledgementsfalse
\@makeNomenclaturefalse
\@makeProloguetrue

%% Ondeyis sayfalarinin olusumu icin temel komutlar

\newcommand*{\th@Titlepage}{
    \thispagestyle{empty}
    \@thInHeadingfalse
    \null\vfill
    \begin{list}{}{\setlength{\leftmargin}{1.0cm}
        \setlength{\rightmargin}{1.0cm}\sloppy}
        \centering\item[]
        {\th@ChapterStyle
            \if@chapterCaps
                \uppercase\expandafter{\th@projebaslik}\\
            \else
                \Large \th@projebaslik\\
            \fi}
            {\large
            \vfill
                L\.{I}SANS\ B\.{I}T\.{I}RME PROJES\.{I}
            \vfill
                
            \vfill
                Fizik B\"{o}l\"{u}m\"{u}\\
                Dokuz Eyl\"{u}l \"{U}niversitesi\\
            \vfill
                
            \th@fwdname\\
            \ \th@tarih \\
            }
    \@thInHeadingfalse
    \end{list}

}



\newcommand*{\th@Approvalpage}{
    \singlespacing
    \clearpage
    %\thispagestyle{empty}
        \noindent
        %
        % Graduate School of Natural and Applied Sciences
        %
        %>
        \\ \\ \\ \\
        \\ \\ \\ \\
        ONAY          
        \\ \\
    




        Dokuz Eyl\"{u}l \"{U}niversitesi Fen Fak\"{u}ltesi Fizik B\"{o}l\"{u}m\"{u}
        2016-2017 \"{o}\u{g}retim y\i l\i \ (Bahar D\"onemi) \ bitirme projesi y\"{o}nergesinde haz\i rlanm\i \c{s}
        ve an\i lan b\"{o}l\"{u}me \ sunulumu\c{s}tur.
        
    \th@signature{\th@bolumbaskani\\ B\"{o}l\"{u}m Ba\c{s}kan\i}
    \vspace*{15mm}
    
    \th@signature{\th@projeyoneticisi\\ Proje Y\"{o}neticisi}
    
    \vspace*{3mm}
        S\i nav Juri \"{U}yeleri:
\begin{table}[h]
\begin{tabular}{lllr}
    \th@committeesignatures{\th@juribir}      % REQUIRED.
    \th@committeesignatures{\th@juriiki}      % REQUIRED.
    \th@committeesignatures{\th@juriuc}    % REQUIRED.
    \ifthenelse{\equal{\th@juridort}{none}}{\relax}
               {\th@committeesignatures{\th@juridort}} % optional
    \ifthenelse{\equal{\th@jurirbes}{none}}{\relax}
               {\th@committeesignatures{\th@jurirbes}} % optional
    \vspace*{8mm}
\end{tabular}
\end{table}
}


\newcommand{\th@Ozetpage}{
    \clearpage
    \chapter*{\center {\"O}zet}
    \th@OzetPageStyle
    \begin{list}{}{\setlength{\leftmargin}{2em}
            \setlength{\itemindent}{-2em}
            \setlength{\topsep}{0pt}
            \setlength{\itemsep}{0pt}}
        \centering\item[]
        {\th@ChapterStyle
                        \if@chapterCaps
                                \uppercase\expandafter{\th@projebaslik}\\
                        \else
                              \Large \th@projebaslik\\
                        \fi}
    \vspace*{8\parsep}
        \item \th@revname\\
                \item Bitirme Projesi\/, Fizik\\
        \item Proje Y\"{o}neticisi: \th@projeyoneticisi
        \item \th@tarih\/, \th@sayfasayisi\ sayfa\
    \end{list}
    \par
    \vspace*{4\parsep}
    \th@ozetStash   % the actual abstract
        \vfill
        \noindent
    {\bf Anahtar kelimeler:} \th@anahtarkelime\\
}
\newcommand{\th@Dedicationpage}{
    \if@makeDedication
        \clearpage
        %\thispagestyle{empty}
        \thispagestyle{myheadings}
        \ifthenelse{\equal{\th@DefArg}{\th@dedicationTitleStash}
            }{\vfill}{\chapter*{\th@dedicationTitleStash}}
        \th@dedicationStash
        \ifthenelse{\equal{\th@DefArg}{\th@dedicationTitleStash}
            }{\vfill}{\relax}
    \fi
}
\newcommand{\th@Acknowledgementpage}{
    \if@makeAcknowledgements
        \clearpage
        \chapter*{\center Te\c{s}ekk\"{u}r}
        {\setlinespacing
        \th@tesekkurStash}
    \fi
}
\newcommand{\th@Nomenclaturepage}{
    \if@makeNomenclature
        \clearpage
        \chapter*{Semboller Dizini}
        {\setlinespacing
        \th@sembolStash}
    \fi
}

\newcommand{\th@ToCpage}{
    \@THshortChapterfalse
    \if@shortToC
        \@THshortChaptertrue
        \typeout{Making Short ToC...}
    \fi
    \@thInHeadingfalse
    {\singlespacing
    \tableofcontents}
}

\newcommand{\th@LoTpage}{
    \@THshortChapterfalse
    \if@makenoLoT
        \typeout{Skipping LoT...}
    \else
    \if@shortLoT
        \@THshortChaptertrue
        \typeout{Making Short LoT...}
    \fi
    {\singlespacing
    \listoftables}
    \fi
}

\newcommand{\th@LoFpage}{
    \@THshortChapterfalse
    \if@makenoLoF
        \typeout{Skipping LoF...}
    \else
    \if@shortLoF
        \@THshortChaptertrue
        \typeout{Making Short LoF...}
    \fi
    {\singlespacing
    \listoffigures}
    \fi
}



%% Ondeyis (prologue) sayfalarini yaratir

\newcounter{th@storepage}
\newcommand{\th@MakeThesisPrologue}{
    \if@makePrologue
        \pagenumbering{roman}
        \typeout{--- Kapak sayfasi olusturuluyor ---}
        \th@Titlepage


                
                
                
        \typeout{--- Onay sayfasi olusturuluyor ---}
        \th@Approvalpage
        
 
        \typeout{--- Ozet sayfasi olusturuluyor ---}
        \th@Ozetpage
        \typeout{Making Dedication Page - bu sayfa yok !!}
        \th@Dedicationpage
        \typeout{--- Tesekkur sayfasi olusturuluyor ---}
        \th@Acknowledgementpage
        \setcounter{th@storepage}{\value{page}}
        \typeout{--- Icindekiler sayfasi olusturuluyor ---}
        \th@ToCpage
        \typeout{--- Tablolar listesi sayfasi olusturuluyor ---}
        \th@LoTpage
        \typeout{--- Sekiller listesi sayfasi olusturuluyor ---}
        \th@LoFpage
        \typeout{--- Semboller sayfasi olusturuluyor ---}
        {\th@Nomenclaturepage}
    \fi
}


%% Ondeyis sayfalarini yaratan komut dokumanin ilk komutu yapiliyor.
\let\th@OldBeginDocument\document
\renewcommand*{\document}{
    \th@OldBeginDocument
    \th@MakeThesisPrologue
    \typeout{}
    \typeout{------------------- Baslangic ----------------------}
    \typeout{}
    \setlinespacing
    \clearpage
    \pagenumbering{arabic}
    \@THshortChapterfalse
}

% ONDEYIS SAYFALARINI YARATAN KULLANICI KOMUTLARI



\newcommand*{\projebaslik}[1]{\th@StoreIn{\th@projebaslik}{#1}}
\newcommand*{\juribir}[1]{\th@StoreIn{\th@juribir}{#1}}
\newcommand*{\juriiki}[1]{\th@StoreIn{\th@juriiki}{#1}}
\newcommand*{\juriuc}[1]{\th@StoreIn{\th@juriuc}{#1}}
\newcommand*{\juridort}[1]{\th@StoreIn{\th@juridort}{#1}}
\newcommand*{\juribes}[1]{\th@StoreIn{\th@jurirbes}{#1}}



\newcommand{\tarih}[1]{\th@StoreIn{\th@tarih}{#1}}
\newcommand{\sayfasayisi}[1]{\th@StoreIn{\th@sayfasayisi}{#1}}



\newcommand{\anahtarkelime}[1]{\th@StoreIn{\th@anahtarkelime}{#1}}
\newcommand{\tesekkur}[1]{
    \@makeAcknowledgementstrue
    \th@StoreIn{\th@tesekkurStash}{#1}
}
\newcommand{\sembol}[1]{
    \@makeNomenclaturetrue
    \th@StoreIn{\th@sembolStash}{#1}
}



\newcommand*{\yazar}[2]{
    \th@StoreIn{\th@fwdname}{#1 #2}
    \th@StoreIn{\th@revname}{#2, #1}
}




\newcommand*{\projeyoneticisi}[1]{
    \th@StoreIn{\th@projeyoneticisi}{#1}
}



\newcommand*{\bolumbaskani}[1]{
    \th@StoreIn{\th@bolumbaskani}{#1}
}



\newcommand{\ozet}[2][uzun]{
    \ifthenelse{\equal{#1}{short}}{\relax}{
        \th@StoreIn{\th@OzetPageStyle}{\thispagestyle{myheadings}}
    }
    \th@StoreIn{\th@ozetStash}{#2}
}
\newcommand*{\SuspendPrologue}{
    \@makeProloguefalse
    \typeout{No prologue pages printed.}
}
\newcommand*{\emptyLoF}{
    \@makenoLoFtrue
    \typeout{No LoF printed}
}
\newcommand*{\emptyLoT}{
    \@makenoLoTtrue
    \typeout{No LoT printed}
}
\newcommand*{\ToCisShort}{
    \@shortToCtrue
    \typeout{Putting page number on short ToC}
}
\newcommand*{\LoFisShort}{
    \@shortLoFtrue
    \typeout{Putting page number on short LoF}
}
\newcommand*{\LoTisShort}{
    \@shortLoTtrue
    \typeout{Putting page number on short LoT}
}


\endinput
%% ``deufiz.cls'' DOSYASININ SONU
